#include "Placement.h"

Placement::Placement() {
  this->position = Vector3::zero;
  this->thing = nullptr;
}

Placement::Placement(Thing *thing, Vector3 position, float horizontalDirection,
                     float verticalDirection)
    : horizontalDirection(horizontalDirection),
      verticalDirection(verticalDirection) {
  this->thing = thing;
  this->position = position;
}

Placement::Placement(Thing *thing, float horizontalDirection,
                     float verticalDirection)
    : Placement(thing, Vector3::zero, horizontalDirection, verticalDirection) {}
